View Issue Details

IDProjectCategoryView StatusLast Update
0001735Dracca[All Projects] Generalpublic2016-10-02 22:39
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.1 
Target VersionFixed in Version1.9.10 
Summary0001735: Utiliser les marqueurs pour assurer que chaque section est accessible
DescriptionJe peux créer des marqueurs sur le p0 indiquant qu'on a potentiellement chacun des élément. Par la suite, lors d'un choix, je supprimerai les autres éléments, ce qui me permettra de dire "Ce paragraphe n'est atteind que si on a Terre" et "ce paragraphe n'est pas atteind si on a Terre" (car si je dis "Si vous maitrisez Terre, rendez-vous au 14. Sinon, rendez-vous au 100" alors le 14 n'est atteignable que si j'ai Terre, mais le 100 n'est atteignable que si je n'ai *pas* Terre).


----

- Chapitre : 7

"Si vous maîtrisez TERRE, rendez-vous au 44 . "
//au chapitre 357 j'ai "LUMIERE" donc je peux aller au 281//
//au 281 je choisis le 138//
//au 138 j'ai "LUMIERE" donc je choisis le 16//
//au 16 je continue... au 7//
//et au 7 on me demande si je suis "TERRE"//"
// il faut donc vérifier qu'il n'y ait pas trop de recoupement et si le chapitre 7 est atteignable avec TERRE//
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-10-02 21:03

administrator   ~0002556

Du coup, je vais en profiter pour rajouter une configuration qui permette de vérifier la logique du gamebook.

Comme ça, le process sera:
• Je fais les modifications dans le gamebook
• Je lance l'analyse pour m'assurer que le scénario n'est pas défoncé par ces modifications
• Je corrige si besoin
• Je lance la vérification des XMLs, pour m'assurer de n'avoir rien oublié dans les définitions des éléments de l'univers
• Je lance le build gamebook pour vérifier que le graph est OK et que le résultat en ligne est acceptable
• Je lance le check général qui vérifiera aussi l'orthographe et les XMLs

J'ai donc une config par vérification:
Analyze pour le scénario
XMLs pour le code
Check pour l'orthographe
Xenos

Xenos

2016-10-02 21:22

administrator   ~0002557

J'ajoute aussi un nouvel attribut: @marker

Il permet de dire que même si on a croisé le nom d'un objet ou d'un animal ou d'un personnage, on ignore toujours ce qu'il désigne. Par exemple, dans le 1er gamebook, Sileya parle des Gropter (p161 et p361), mais on ignore de quels oiseaux il s'agit (on peut s'en douter en réfléchissant un peu, mais on n'a pas la certitude de l'espèce que "Gropter" désigne).
Xenos

Xenos

2016-10-02 22:14

administrator   ~0002558

Oui, on peut l'atteindre:
247 - 264 - 230 - 251 - 173 - 292 - 199 - 304 - 159 - 100 - 260 - 046 - 200 - 138 - 055 - 007

En revanche, je suis d'accord: ce 1er gamebook offre trop de choix intercroisés, ce qui fait qu'au fond, chaque choix ne porte pas vraiment à conséquence (et donc, chaque choix n'a plus vraiment d'importance).

C'est un problème à corriger dans le prochain gamebook, où il faudra des lignes scénaristiques moins entremêlées, pour que certains choix deviennent vraiment "difficiles" à faire, car lourds de conséquences.

Issue History

Date Modified Username Field Change
2016-09-13 22:02 Xenos New Issue
2016-09-13 22:02 Xenos Status New => Accepted
2016-09-16 22:09 Xenos Project @15@ => Dracca
2016-10-02 21:03 Xenos Note Added: 0002556
2016-10-02 21:03 Xenos Assigned To => Xenos
2016-10-02 21:03 Xenos Status Accepted => In progress
2016-10-02 21:22 Xenos Note Added: 0002557
2016-10-02 22:14 Xenos Note Added: 0002558
2016-10-02 22:14 Xenos Status In progress => Ready
2016-10-02 22:14 Xenos Resolution open => fixed
2016-10-02 22:39 Xenos Status Ready => Close
2016-10-02 22:39 Xenos Fixed in Version => 1.9.10